{% extends "visite/base.html" %}

{% block title %}Liste de visites{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Visites</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>Visites</h2></div>
        <div class="col text-end">
            <a class="btn btn-sm btn-primary openmodal" href="{% url 'visite-new' %}" title="Ajout d’une visite">Nouvelle visite</a>
        </div>
    </div>

    <form class="immediate_submit table-filter unmonitor" method="get" action=".">
    <table class="table table-striped">
        <thead class="sticky">
            <tr>
                <th>Client</th><th>Bénévole</th><th>Date</th><th>Durée</th><th>Compte-rendu</th><th></th>
            </tr>
            <tr class="filters">
                <td>{{ form.nom_client }}</td><td>{{ form.visiteur }}</td><td>{{ form.mois }}</td>
                <td></td><td></td><td></td>
            </tr>
        </thead>
        <tbody id="filter_container">
        {% for visite in object_list %}
            <tr>
                <td>{{ visite.client }}</td>
                <td>{{ visite.visiteur }}</td>
                <td>{{ visite.debut|date:'d.m.Y H:i' }}</td>
                <td>{{ visite.duree|format_duree }}</td>
                <td>{{ visite.compte_rendu|linebreaksbr }}</td>
                <td>
                    <button type="button" class="btn btn-light btn-icon openmodal" title="Modifier la visite"
                            data-modalurl="{% url 'visite-edit' visite.pk %}"
                            data-deleteurl="{% url 'visite-delete' visite.pk %}"
                            data-deleteconfirm="Souhaitez-vous vraiment supprimer cette visite ?">
                    <img src="{% static 'img/edit.svg' %}">
                    </button>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    </form>

    {% include 'pagination.html' %}
{% endblock %}
